@ECHO off
@SETLOCAL

SET EB_GUIDE_FOLDER=c:\Program Files\Elektrobit\EB GUIDE 6.10
SET EB_GUIDE_CONSOLE="%EB_GUIDE_FOLDER%\studio\Studio.Console.exe"
SET EB_GTF_STARTUP="%EB_GUIDE_FOLDER%\platform\win64\bin\GtfStartup.exe"
SET EB_GUIDE_MONITOR="%EB_GUIDE_FOLDER%\tools\monitor\Monitor.exe"
SET PROJECT_PATH=%~dp0..\

SET PROFILE="Simulation"
SET OUTPUT_CLUSTER_PATH="%PROJECT_PATH%\export\Windows\Cluster"
SET MODEL_CLUSTER_PATH="%PROJECT_PATH%\Cluster\Cluster.ebguide"

SET OUTPUT_INJECTION_PATH="%PROJECT_PATH%\export\Windows\Injection"
SET MODEL_INJECTION_PATH="%PROJECT_PATH%\Injection\Injection.ebguide"

call %~dp0\stop_all.bat

@echo.
@echo Exporting Cluster Model...
@echo.
if exist %OUTPUT_CLUSTER_PATH% rmdir %OUTPUT_CLUSTER_PATH% /S /Q
mkdir %OUTPUT_CLUSTER_PATH%
%EB_GUIDE_CONSOLE% -e %OUTPUT_CLUSTER_PATH% -p %PROFILE% -o %MODEL_CLUSTER_PATH%
@echo.
@echo copy shared datapool resources
@copy /Y %OUTPUT_CLUSTER_PATH%\datapool.gtf %OUTPUT_CLUSTER_PATH%\resources\datapool.gtf
@timeout 1  >NUL

@echo.
@echo Start the cluster model GTF process
@echo.
@start /b cmd /c "%EB_GTF_STARTUP% %OUTPUT_CLUSTER_PATH% & call %~dp0\stop_all.bat"

@echo.
@echo Exporting Injection Model...
@echo.
if exist %OUTPUT_INJECTION_PATH% rmdir %OUTPUT_INJECTION_PATH% /S /Q
mkdir %OUTPUT_INJECTION_PATH%
%EB_GUIDE_CONSOLE% -e %OUTPUT_INJECTION_PATH% -p %PROFILE% -o %MODEL_INJECTION_PATH%
@echo.
@echo copy shared datapool resources
@copy /Y %OUTPUT_CLUSTER_PATH%\datapool.gtf %OUTPUT_INJECTION_PATH%\resources\datapool.gtf
@timeout 1 >NUL

@echo.
@echo Start the Injection model GTF process
@echo.
@start /b cmd /c "%EB_GTF_STARTUP% %OUTPUT_INJECTION_PATH% & call %~dp0\stop_all.bat"

@echo.
@echo Start the EB Guide Monitor
@echo.
@start /b "" %EB_GUIDE_MONITOR% -c localhost:60000 -o %OUTPUT_CLUSTER_PATH%\monitor.cfg
@timeout 5